using FLY.UI.Module;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ThickTcpUiInWindow.UIModule
{
    /// <summary>
    /// UIModuleConnected.xaml 的交互逻辑
    /// </summary>
    public partial class DynAreaConnected : UserControl
    {
        TDGage gage;
        public DynAreaConnected()
        {
            InitializeComponent();
        }
        public void Init(int id)
        {
            //获取设备
            gage = Application.Current.Properties["Gage"] as TDGage;
            this.DataContext = gage.mDynAreaService.mDynArea;
        }
        private void Border_FlyAD_Click(object sender, RoutedEventArgs e)
        {

            Window_FlyADAccess w = new Window_FlyADAccess();
            w.Init(gage.mSysParam.ServerIPEP);
            w.ShowDialog();
        }
    }

    public class UIModule_DynAreaConnected : IUIModule
    {
        /// <summary>
        /// 控件标题
        /// 它的值取决于culture
        /// </summary>
        public string Title
        {
            get
            {
                return "连接状态";
            }
        }

        /// <summary>
        /// 控件
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetComponent(int id)
        {
            DynAreaConnected graph = new DynAreaConnected();
            graph.Init(id);
            return graph;
        }

        /// <summary>
        /// 控件缩略图，用于编辑界面时，大致看看
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetThumbnail(int id)
        {
            return new System.Windows.Controls.Grid();
        }


        /// <summary>
        /// 给出全部控件ID, 控件自行删除没有的参数
        /// </summary>
        /// <param name="IDs"></param>
        public void MatchParam(int[] IDs)
        {
        }
    }
}
